
{% extends 'base.html' %}
{% load static %}

<!DOCTYPE html>
<html lang="en">
{% block content %}

<head>

    <link rel="stylesheet" type="text/css" href='{% static "css/story7.css" %}'>
    <link href="https://fonts.googleapis.com/css2?family=Ubuntu:wght@300&display=swap" rel="stylesheet">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
    <script src="https://code.jquery.com/jquery-3.5.0.js"></script>
    <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/js/all.min.js"></script>

    <title>Story 7</title>
</head>


<body>

<p id="j-font">About Amanda</p>
<div class="container">
    <div class="accordion-container">
        <div class="accordion shadow">
            <div class="accordion-header">
                <div class="accordion-header-left" id="activityButton">
                    <div class="accordion-title">
                        Aktivitas
                    </div>
                </div>
                <div class="accordion-buttons">
                    <div class="accordion-button-up">
                        <i class="fas fa-chevron-up"></i>
                    </div>
                    <div class="accordion-button-down">
                        <i class="fas fa-chevron-down"></i>
                    </div>
                </div>
            </div>
            <div class="accordion-body hidden" id="activityBody">
                <div class="activity-card-container">
                    <div>
                        <ul>
                            <li>Nugas</li>
                            <li>Masak</li>
                            <li>Belanja</li>

                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="accordion shadow">
            <div class="accordion-header">
                <div class="accordion-header-left" id="experienceButton">
                    <div class="accordion-title">
                        Organisasi / Kepanitiaan
                    </div>
                </div>
                <div class="accordion-buttons">
                    <div class="accordion-button-up">
                        <i class="fas fa-chevron-up"></i>
                    </div>
                    <div class="accordion-button-down">
                        <i class="fas fa-chevron-down"></i>
                    </div>
                </div>
            </div>
            <div class="accordion-body hidden" id="experienceBody">
                <div class="activity-card-container">
                    <div>
                        <p>
                        <ul>
                            <li>MUN</li>
                            <li>Mentor DDP0</li>
                            <li>SISTEM</li>

                        </ul>
                        </p>
                    </div>
                </div>
            </div>
        </div>
        <div class="accordion shadow">
            <div class="accordion-header">
                <div class="accordion-header-left" id="achievementButton">
                    <div class="accordion-title">
                        Prestasi
                    </div>
                </div>
                <div class="accordion-buttons">
                    <div class="accordion-button-up">
                        <i class="fas fa-chevron-up"></i>
                    </div>
                    <div class="accordion-button-down">
                        <i class="fas fa-chevron-down"></i>
                    </div>
                </div>
            </div>
            <div class="accordion-body hidden" id="achievementBody">
                <div class="activity-card-container">
                    <div id="nf-font">
                        <p>Tidak ada</p>
                    </div>
                </div>
            </div>
        </div>
        <div class="accordion shadow">
            <div class="accordion-header">
                <div class="accordion-header-left" id="contactButton">
                    <div class="accordion-title">
                        Biodata
                    </div>
                </div>
                <div class="accordion-buttons">
                    <div class="accordion-button-up">
                        <i class="fas fa-chevron-up"></i>
                    </div>
                    <div class="accordion-button-down">
                        <i class="fas fa-chevron-down"></i>
                    </div>
                </div>
            </div>
            <div class="accordion-body hidden" id="contactBody">
                <div class="activity-card-container">
                    <div>
                        <ul>
                            <li>Name: Amanda Carrisa</li>
                            <li>Birthdate: 9 Maret 2001</li>
                            <li>Hobby: Masak, Main Game</li>
                            <li>Favourite Food: Ayam Bakar, Gulai Ayam, Ayam Goreng</li>
                            <li>Favourite Drink: Susu Coklat</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>



<script>
    AOS.init();
    $('#activityButton').click(function () {        //pas diklik dia kalo diklik akan nunjukin elemen dengan activityBody yang hiden jadi di show dengan fungsi toggleClass()
        $('#activityBody').toggleClass('hidden');
    })
    $('#experienceButton').click(function () {
        $('#experienceBody').toggleClass('hidden');
    })
    $('#achievementButton').click(function () {
        $('#achievementBody').toggleClass('hidden');
    })
    $('#contactButton').click(function () {
        $('#contactBody').toggleClass('hidden');
    })

    $('.accordion-button-up').click(function () { //kalo diklik dia nyari parent element dari accordion itu trus 
        var thisAccordion = $(this).parent().parent().parent();
        thisAccordion.insertBefore(thisAccordion.prev()); //masukin ke tempat sebelumnya
    })

    $('.accordion-button-down').click(function () {
        var thisAccordion = $(this).parent().parent().parent();
        thisAccordion.insertAfter(thisAccordion.next());
    })

//library javascript works the same way cuma lebih simple kl javascript hrs get element by id

</script>
{% endblock %}
</body>
</html>

